Skip to main content
GET
/
backups
/
{backup_id}
from pinecone import Pinecone

pc = Pinecone(api_key="YOUR_API_KEY")

backup = pc.describe_backup(backup_id="8c85e612-ed1c-4f97-9f8c-8194e07bcf71")

print(backup)
import { Pinecone } from '@pinecone-database/pinecone';

const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' })

const backupDesc = await pc.describeBackup('8c85e612-ed1c-4f97-9f8c-8194e07bcf71');

console.log(backupDesc);
import io.pinecone.clients.Pinecone;
import org.openapitools.db_control.client.ApiException;
import org.openapitools.db_control.client.model.*;

public class CreateBackup {
    public static void main(String[] args) throws ApiException {
        Pinecone pc = new Pinecone.Builder("YOUR_API_KEY").build();

        BackupModel backupModel = pc.describeBackup("8c85e612-ed1c-4f97-9f8c-8194e07bcf71");

        System.out.println(backupModel);
    }
}
package main

import (
	"context"
	"encoding/json"
	"fmt"
	"log"

	"github.com/pinecone-io/go-pinecone/v4/pinecone"
)

func prettifyStruct(obj interface{}) string {
	bytes, _ := json.MarshalIndent(obj, "", "  ")
	return string(bytes)
}

func main() {
	ctx := context.Background()

	pc, err := pinecone.NewClient(pinecone.NewClientParams{
		ApiKey: "YOUR_API_KEY",
	})
	if err != nil {
		log.Fatalf("Failed to create Client: %v", err)
	}

	backup, err := pc.DescribeBackup(ctx, "8c85e612-ed1c-4f97-9f8c-8194e07bcf71")
	if err != nil {
		log.Fatalf("Failed to describe backup: %v", err)
	}
	fmt.Printf(prettifyStruct(backup))
}
using Pinecone;

var pinecone = new PineconeClient("PINECONE_API_KEY");

var backup = await pinecone.Backups.GetAsync("8c85e612-ed1c-4f97-9f8c-8194e07bcf71");

Console.WriteLine(backup);
PINECONE_API_KEY="YOUR_API_KEY"
BACKUP_ID="8c85e612-ed1c-4f97-9f8c-8194e07bcf71"

curl -X GET "https://api.pinecone.io/backups/$BACKUP_ID" \
     -H "Api-Key: $PINECONE_API_KEY" \
     -H "X-Pinecone-Api-Version: 2025-04" \
     -H "accept: application/json"
{'backup_id': '8c85e612-ed1c-4f97-9f8c-8194e07bcf71',
 'cloud': 'aws',
 'created_at': '2025-05-15T00:52:10.809354Z',
 'description': 'Monthly backup of production index',
 'dimension': 1024,
 'name': 'example-backup',
 'namespace_count': 3,
 'record_count': 98,
 'region': 'us-east-1',
 'size_bytes': 1069169,
 'source_index_id': 'f73b36c9-faf5-4a2c-b1d6-4013d8b1cc74',
 'source_index_name': 'docs-example',
 'status': 'Ready',
 'tags': {}}
{
  "backupId": "8c85e612-ed1c-4f97-9f8c-8194e07bcf71",
  "sourceIndexName": "docs-example",
  "sourceIndexId": "f73b36c9-faf5-4a2c-b1d6-4013d8b1cc74",
  "name": "example-backup",
  "description": "Monthly backup of production index",
  "status": "Ready",
  "cloud": "aws",
  "region": "us-east-1",
  "dimension": 1024,
  "metric": undefined,
  "recordCount": 98,
  "namespaceCount": 3,
  "sizeBytes": 1069169,
  "tags": {},
  "createdAt": "2025-05-14T16:37:25.625540Z"
}
class BackupList {
    data: [class BackupModel {
        backupId: 95707edb-e482-49cf-b5a5-312219a51a97
        sourceIndexName: docs-example
        sourceIndexId: f73b36c9-faf5-4a2c-b1d6-4013d8b1cc74
        name: example-backup
        description: Monthly backup of production index
        status: Initializing
        cloud: aws
        region: us-east-1
        dimension: null
        metric: null
        recordCount: null
        namespaceCount: null
        sizeBytes: null
        tags: {}
        createdAt: 2025-05-16T19:46:26.248428Z
        additionalProperties: null
    }]
    pagination: null
    additionalProperties: null
}
{
  "backup_id": "8c85e612-ed1c-4f97-9f8c-8194e07bcf71",
  "cloud": "aws",
  "created_at": "2025-05-15T00:52:10.809354Z",
  "description": "Monthly backup of production index",
  "dimension": 1024,
  "name": "example-backup",
  "namespace_count": 3,
  "record_count": 98,
  "region": "us-east-1",
  "size_bytes": 1069169,
  "source_index_id": "f73b36c9-faf5-4a2c-b1d6-4013d8b1cc74",
  "source_index_name": "docs-example",
  "status": "Ready",
  "tags": {}
}
{
  "backup_id": "95707edb-e482-49cf-b5a5-312219a51a97",
  "source_index_name": "docs-example",
  "source_index_id": "f73b36c9-faf5-4a2c-b1d6-4013d8b1cc74",
  "name": "example-backup",
  "description": "Monthly backup of production index",
  "status": "Ready",
  "cloud": "aws",
  "region": "us-east-1",
  "dimension": 1024,
  "record_count": 97,
  "namespace_count": 2,
  "size_bytes": 1069169,
  "tags": {},
  "created_at": "2025-05-15T00:52:10.809354Z"
}
{
  "backup_id":"8c85e612-ed1c-4f97-9f8c-8194e07bcf71",
  "source_index_id":"f73b36c9-faf5-4a2c-b1d6-4013d8b1cc74",
  "source_index_name":"docs-example",
  "tags":{},
  "name":"example-backup",
  "description":"Monthly backup of production index",
  "status":"Ready",
  "cloud":"aws",
  "region":"us-east-1",
  "dimension":1024,
  "record_count":98,
  "namespace_count":3,
  "size_bytes":1069169,
  "created_at":"2025-03-11T18:29:50.549505Z"
}
from pinecone import Pinecone

pc = Pinecone(api_key="YOUR_API_KEY")

backup = pc.describe_backup(backup_id="8c85e612-ed1c-4f97-9f8c-8194e07bcf71")

print(backup)
import { Pinecone } from '@pinecone-database/pinecone';

const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' })

const backupDesc = await pc.describeBackup('8c85e612-ed1c-4f97-9f8c-8194e07bcf71');

console.log(backupDesc);
import io.pinecone.clients.Pinecone;
import org.openapitools.db_control.client.ApiException;
import org.openapitools.db_control.client.model.*;

public class CreateBackup {
    public static void main(String[] args) throws ApiException {
        Pinecone pc = new Pinecone.Builder("YOUR_API_KEY").build();

        BackupModel backupModel = pc.describeBackup("8c85e612-ed1c-4f97-9f8c-8194e07bcf71");

        System.out.println(backupModel);
    }
}
package main

import (
	"context"
	"encoding/json"
	"fmt"
	"log"

	"github.com/pinecone-io/go-pinecone/v4/pinecone"
)

func prettifyStruct(obj interface{}) string {
	bytes, _ := json.MarshalIndent(obj, "", "  ")
	return string(bytes)
}

func main() {
	ctx := context.Background()

	pc, err := pinecone.NewClient(pinecone.NewClientParams{
		ApiKey: "YOUR_API_KEY",
	})
	if err != nil {
		log.Fatalf("Failed to create Client: %v", err)
	}

	backup, err := pc.DescribeBackup(ctx, "8c85e612-ed1c-4f97-9f8c-8194e07bcf71")
	if err != nil {
		log.Fatalf("Failed to describe backup: %v", err)
	}
	fmt.Printf(prettifyStruct(backup))
}
using Pinecone;

var pinecone = new PineconeClient("PINECONE_API_KEY");

var backup = await pinecone.Backups.GetAsync("8c85e612-ed1c-4f97-9f8c-8194e07bcf71");

Console.WriteLine(backup);
PINECONE_API_KEY="YOUR_API_KEY"
BACKUP_ID="8c85e612-ed1c-4f97-9f8c-8194e07bcf71"

curl -X GET "https://api.pinecone.io/backups/$BACKUP_ID" \
     -H "Api-Key: $PINECONE_API_KEY" \
     -H "X-Pinecone-Api-Version: 2025-04" \
     -H "accept: application/json"
{'backup_id': '8c85e612-ed1c-4f97-9f8c-8194e07bcf71',
 'cloud': 'aws',
 'created_at': '2025-05-15T00:52:10.809354Z',
 'description': 'Monthly backup of production index',
 'dimension': 1024,
 'name': 'example-backup',
 'namespace_count': 3,
 'record_count': 98,
 'region': 'us-east-1',
 'size_bytes': 1069169,
 'source_index_id': 'f73b36c9-faf5-4a2c-b1d6-4013d8b1cc74',
 'source_index_name': 'docs-example',
 'status': 'Ready',
 'tags': {}}
{
  "backupId": "8c85e612-ed1c-4f97-9f8c-8194e07bcf71",
  "sourceIndexName": "docs-example",
  "sourceIndexId": "f73b36c9-faf5-4a2c-b1d6-4013d8b1cc74",
  "name": "example-backup",
  "description": "Monthly backup of production index",
  "status": "Ready",
  "cloud": "aws",
  "region": "us-east-1",
  "dimension": 1024,
  "metric": undefined,
  "recordCount": 98,
  "namespaceCount": 3,
  "sizeBytes": 1069169,
  "tags": {},
  "createdAt": "2025-05-14T16:37:25.625540Z"
}
class BackupList {
    data: [class BackupModel {
        backupId: 95707edb-e482-49cf-b5a5-312219a51a97
        sourceIndexName: docs-example
        sourceIndexId: f73b36c9-faf5-4a2c-b1d6-4013d8b1cc74
        name: example-backup
        description: Monthly backup of production index
        status: Initializing
        cloud: aws
        region: us-east-1
        dimension: null
        metric: null
        recordCount: null
        namespaceCount: null
        sizeBytes: null
        tags: {}
        createdAt: 2025-05-16T19:46:26.248428Z
        additionalProperties: null
    }]
    pagination: null
    additionalProperties: null
}
{
  "backup_id": "8c85e612-ed1c-4f97-9f8c-8194e07bcf71",
  "cloud": "aws",
  "created_at": "2025-05-15T00:52:10.809354Z",
  "description": "Monthly backup of production index",
  "dimension": 1024,
  "name": "example-backup",
  "namespace_count": 3,
  "record_count": 98,
  "region": "us-east-1",
  "size_bytes": 1069169,
  "source_index_id": "f73b36c9-faf5-4a2c-b1d6-4013d8b1cc74",
  "source_index_name": "docs-example",
  "status": "Ready",
  "tags": {}
}
{
  "backup_id": "95707edb-e482-49cf-b5a5-312219a51a97",
  "source_index_name": "docs-example",
  "source_index_id": "f73b36c9-faf5-4a2c-b1d6-4013d8b1cc74",
  "name": "example-backup",
  "description": "Monthly backup of production index",
  "status": "Ready",
  "cloud": "aws",
  "region": "us-east-1",
  "dimension": 1024,
  "record_count": 97,
  "namespace_count": 2,
  "size_bytes": 1069169,
  "tags": {},
  "created_at": "2025-05-15T00:52:10.809354Z"
}
{
  "backup_id":"8c85e612-ed1c-4f97-9f8c-8194e07bcf71",
  "source_index_id":"f73b36c9-faf5-4a2c-b1d6-4013d8b1cc74",
  "source_index_name":"docs-example",
  "tags":{},
  "name":"example-backup",
  "description":"Monthly backup of production index",
  "status":"Ready",
  "cloud":"aws",
  "region":"us-east-1",
  "dimension":1024,
  "record_count":98,
  "namespace_count":3,
  "size_bytes":1069169,
  "created_at":"2025-03-11T18:29:50.549505Z"
}

Authorizations

Api-Key
string
header
required

An API Key is required to call Pinecone APIs. Get yours from the console.

Path Parameters

backup_id
string
required

The ID of the backup to describe.

Response

Configuration information and deployment status of the backup.

The BackupModel describes the configuration and status of a Pinecone backup.

backup_id
string
required

Unique identifier for the backup.

Example:

"670e8400-e29b-41d4-a716-446655440001"

source_index_name
string
required

Name of the index from which the backup was taken.

Example:

"my-index"

source_index_id
string
required

ID of the index.

Example:

"670e8400-e29b-41d4-a716-446655440000"

status
string
required

Current status of the backup (e.g., Initializing, Ready, Failed).

Example:

"Ready"

cloud
string
required

Cloud provider where the backup is stored.

Example:

"aws"

region
string
required

Cloud region where the backup is stored.

Example:

"us-east-1"

name
string

Optional user-defined name for the backup.

Example:

"backup-2025-02-04"

description
string

Optional description providing context for the backup.

Example:

"Backup before bulk update."

dimension
integer<int32>

The dimensions of the vectors to be inserted in the index.

Required range: 1 <= x <= 20000
Example:

1536

metric
enum<string>

The distance metric to be used for similarity search. You can use 'euclidean', 'cosine', or 'dotproduct'. If the 'vector_type' is 'sparse', the metric must be 'dotproduct'. If the vector_type is dense, the metric defaults to 'cosine'.

Available options:
cosine,
euclidean,
dotproduct
record_count
integer

Total number of records in the backup.

Example:

120000

namespace_count
integer

Number of namespaces in the backup.

Example:

3

size_bytes
integer

Size of the backup in bytes.

Example:

10000000

tags
object

Custom user tags added to an index. Keys must be 80 characters or less. Values must be 120 characters or less. Keys must be alphanumeric, '', or '-'. Values must be alphanumeric, ';', '@', '', '-', '.', '+', or ' '. To unset a key, set the value to be an empty string.

Example:
{ "tag0": "val0", "tag1": "val1" }
created_at
string

Timestamp when the backup was created.